Summary:	The drakxtools (diskdrake, ...)
Name:		drakxtools
Version:	14.78
Release:	1
License:	GPLv2+
Group:		System/Configuration/Other
Url:		https://abf.rosalinux.ru/soft/drakxtools
Source0:	%{url}/archive/%{name}-version-%{version}.tar.gz
Source1:	system-auth-win-default
Source2:	drakxservices.desktop
Source3:	drakxtools.rpmlintrc
BuildRequires:	gettext
BuildRequires:	ldetect-devel >= 0.9.0
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	perl-devel
BuildRequires:	perl-MDK-Common-devel >= 1.1.8-3
BuildRequires:	pkgconfig(libparted)
BuildRequires:	drakx-installer-binaries
BuildRequires:	intltool
BuildRequires:	tirpc-devel

# usermode 1.111-3-rosa2012.1 has the /etc/pam.d/config-util
# files to which we symlink
Requires:	%{name}-curses = %{EVRD}
Requires:	perl-Gtk2 >= 1.220
Requires:	perl-Glib >= 1.072-1
Requires:	usermode >= 1.92-4
Suggests:	mandriva-doc-common >= 9.2-5
Requires:	perl-Net-DBus
Requires:	perl-Gtk2-WebKit
Requires:	ldetect-lst >= 0.1.299
Requires:	pam
# needed by drakfont (eg: type1inst):
Requires:	font-tools
Requires:	libxxf86misc
# needed by any::enable_x_screensaver()
Requires:	xset
Suggests:	drakx-net
Requires:	drakconf-icons
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Suggests:	gurpmi >= 5.7
Conflicts:	drakconf < drakconf-11.7.2
Conflicts:	rpmdrake < 3.26-1
Conflicts:	bootloader-utils < 1.8-4
Conflicts:	bootsplash < 2.1.7-1
Conflicts:	drakx-kbd-mouse-x11 < 0.91
Conflicts:	initscripts < 8.33-4

Provides:	draksec = %{EVRD}
%define __noautoreq perl(Net::FTP)\\|perl(Time::localtime)\\|perl(URPM)\\|perl(Xconfig.*)

%description
Contains many Mandriva Linux applications simplifying users and
administrators life on a Mandriva Linux machine. Nearly all of
them work both under XFree (graphical environment) and in console
(text environment), allowing easy distant work.

- drakclock: date & time configurator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- draksec: security options managment

%files -f %{name}-gtk.list
%{_bindir}/clock.pl
%{_bindir}/drakclock
%{_bindir}/drakfont
%{_bindir}/drakguard
%{_bindir}/draklog
%{_bindir}/draksec
%{_bindir}/logdrake
%{_bindir}/Xdrakres
%config(noreplace) %{_sysconfdir}/security/console.apps/clock.pl
%config(noreplace) %{_sysconfdir}/security/console.apps/drakclock
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfont
%config(noreplace) %{_sysconfdir}/security/console.apps/drakguard
%config(noreplace) %{_sysconfdir}/security/console.apps/draklog
%config(noreplace) %{_sysconfdir}/security/console.apps/draksec
%config(noreplace) %{_sysconfdir}/security/console.apps/logdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/xdrakres
%config(noreplace) %{_sysconfdir}/security/console.apps/Xdrakres
%config(noreplace) %{_sysconfdir}/pam.d/clock.pl
%config(noreplace) %{_sysconfdir}/pam.d/drakclock
%config(noreplace) %{_sysconfdir}/pam.d/drakfont
%config(noreplace) %{_sysconfdir}/pam.d/drakguard
%config(noreplace) %{_sysconfdir}/pam.d/draklog
%config(noreplace) %{_sysconfdir}/pam.d/draksec
%config(noreplace) %{_sysconfdir}/pam.d/logdrake
%config(noreplace) %{_sysconfdir}/pam.d/xdrakres

%post
%make_session
[[ ! -e %{_sbindir}/kbdconfig ]] && ln -s -f keyboarddrake %{_sbindir}/kbdconfig
[[ ! -e %{_sbindir}/mouseconfig ]] && ln -s -f mousedrake %{_sbindir}/mouseconfig
:

%postun
%make_session
for i in %{_sbindir}/kbdconfig %{_sbindir}/mouseconfig %{_bindir}/printtool;do
    [[ -L $i ]] && rm -f $i
done
:

#----------------------------------------------------------------------------

%package curses
Summary:	The drakxtools (diskdrake, ...)
Group:		System/Configuration/Other
Requires:	usermode-consoleonly >= 1.44-4
Requires:	urpmi >= 4.8.23
Requires:	perl-Locale-gettext >= 1.05-4
Requires:	module-init-tools
Requires:	%{name}-backend = %{EVRD}
Suggests:	drakx-net-text
Provides:	diskdrake = %{EVRD}
Provides:	kbdconfig = %{EVRD}
Provides:	mouseconfig = %{EVRD}
Provides:	setuptool = %{EVRD}
Provides:	drakfloppy = %{EVRD}
Provides:	drakxtools-newt = %{EVRD}
%define __noautoreq perl(Gtk2::WebKit)\\|perl(Xconfig::various)

%description curses
Contains many Mandriva Linux applications simplifying users and
administrators life on a Mandriva Linux machine. Nearly all of
them work both under XFree (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakkeyboard: configure your keyboard (both console and X)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%files curses -f %{name}.list
%{_datadir}/applications/drakxservices.desktop
%doc perl-install/diskdrake/diskdrake.html
%{_bindir}/adduserdrake
%{_bindir}/diskdrake
%{_bindir}/drakauth
%{_bindir}/drakboot
%{_bindir}/drakdisk
%{_bindir}/drakedm
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakperm
%{_bindir}/drakscanner
%{_bindir}/draksound
%{_bindir}/drakups
%{_bindir}/drakx11
%{_bindir}/drakxservices
%{_bindir}/keyboarddrake
%{_bindir}/mousedrake
%{_bindir}/scannerdrake
# PAM hack
%{_sysconfdir}/pam.d/system-auth-win-default
%config(noreplace) %{_sysconfdir}/security/console.apps/adduserdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/diskdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/drakauth
%config(noreplace) %{_sysconfdir}/security/console.apps/drakboot
%config(noreplace) %{_sysconfdir}/security/console.apps/drakdisk
%config(noreplace) %{_sysconfdir}/security/console.apps/drakedm
%config(noreplace) %{_sysconfdir}/security/console.apps/drakkeyboard
%config(noreplace) %{_sysconfdir}/security/console.apps/drakmouse
%config(noreplace) %{_sysconfdir}/security/console.apps/drakperm
%config(noreplace) %{_sysconfdir}/security/console.apps/drakscanner
%config(noreplace) %{_sysconfdir}/security/console.apps/draksound
%config(noreplace) %{_sysconfdir}/security/console.apps/drakups
%config(noreplace) %{_sysconfdir}/security/console.apps/drakx11
%config(noreplace) %{_sysconfdir}/security/console.apps/drakxservices
%config(noreplace) %{_sysconfdir}/security/console.apps/keyboarddrake
%config(noreplace) %{_sysconfdir}/security/console.apps/mousedrake
%config(noreplace) %{_sysconfdir}/security/console.apps/scannerdrake
%config(noreplace) %{_sysconfdir}/pam.d/adduserdrake
%config(noreplace) %{_sysconfdir}/pam.d/diskdrake
%config(noreplace) %{_sysconfdir}/pam.d/drakauth
%config(noreplace) %{_sysconfdir}/pam.d/drakboot
%config(noreplace) %{_sysconfdir}/pam.d/drakdisk
%config(noreplace) %{_sysconfdir}/pam.d/drakedm
%config(noreplace) %{_sysconfdir}/pam.d/drakkeyboard
%config(noreplace) %{_sysconfdir}/pam.d/drakmouse
%config(noreplace) %{_sysconfdir}/pam.d/drakperm
%config(noreplace) %{_sysconfdir}/pam.d/drakscanner
%config(noreplace) %{_sysconfdir}/pam.d/draksound
%config(noreplace) %{_sysconfdir}/pam.d/drakups
%config(noreplace) %{_sysconfdir}/pam.d/drakx11
%config(noreplace) %{_sysconfdir}/pam.d/drakxservices
%config(noreplace) %{_sysconfdir}/pam.d/keyboarddrake
%config(noreplace) %{_sysconfdir}/pam.d/mousedrake
%config(noreplace) %{_sysconfdir}/pam.d/scannerdrake

#----------------------------------------------------------------------------

%package backend
Summary:	Drakxtools libraries and background tools
Group:		System/Configuration/Other
Requires:	dmidecode
Requires:	perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires:	perl-suid
# for common::wrap_command_for_root()
Requires:	perl-String-ShellQuote
Conflicts:	drakxtools-newt < 10-51
Conflicts:	drakx-net < 0.28
Conflicts:	e2fsprogs < 1.41.1-2mnb

%description backend
See package %{name}.

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf

#----------------------------------------------------------------------------

%package http
Summary:	The drakxtools via http
Group:		System/Configuration/Other
Requires:	%{name}-curses = %{EVRD}
Requires:	perl(Net::SSLeay) >= 1.22-1
Requires:	perl-Authen-PAM >= 0.14-1
Requires:	perl-CGI >= 2.91-1
Requires(pre,post):	rpm-helper

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mandriva tools found in the drakxtools
package.

%files http -f %{name}-http.list
%dir %{_sysconfdir}/drakxtools_http
%config(noreplace) %{_sysconfdir}/pam.d/miniserv
%{_sysconfdir}/init.d/drakxtools_http
%config(noreplace) %{_sysconfdir}/drakxtools_http/conf
%config(noreplace) %{_sysconfdir}/drakxtools_http/authorised_progs
%config(noreplace) %{_sysconfdir}/logrotate.d/drakxtools-http

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

#----------------------------------------------------------------------------

%package -n drakx-finish-install
Summary:	First boot configuration
Group:		System/Configuration/Other
Requires:	%{name} = %{EVRD}
Requires:	drakx-installer-matchbox
Requires:	perl-Geo-IP
Requires:	perl-HTTP-Date
Requires:	libdrakx-net

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication

%files -n drakx-finish-install
%config(noreplace) %{_sysconfdir}/sysconfig/finish-install
%{_sysconfdir}/X11/xsetup.d/??finish-install.xsetup
%{_sbindir}/finish-install

#----------------------------------------------------------------------------

%package -n harddrake
Summary:	Main Hardware Configuration/Information Tool
Group:		System/Configuration/Hardware
Requires:	%{name}-curses = %{EVRD}
Provides:	kudzu = %{EVRD}
Provides:	kudzu-devel = %{EVRD}
Provides:	libdetect0 = %{EVRD}
Provides:	libdetect0-devel = %{EVRD}
Provides:	libdetect-lst = %{EVRD}
Provides:	libdetect-lst-devel = %{EVRD}
Provides:	detect = %{EVRD}
Provides:	detect-lst = %{EVRD}
Requires(pre,post):	rpm-helper
Requires:	drakx-kbd-mouse-x11
Suggests:	libdrakx-net
Suggests:	drak3d
Requires:	meta-task

%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.

It then offer to run needed config tool to update the OS
configuration.

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %{_sysconfdir}/sysconfig/harddrake2/kernel
%dir %{_datadir}/harddrake/
%{_datadir}/harddrake/*
%{_sysconfdir}/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%{_sysconfdir}/X11/xinit.d/harddrake2

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | fgrep -q perl && %{_datadir}/harddrake/convert || :

#----------------------------------------------------------------------------

%package -n harddrake-ui
Summary:	Main Hardware Configuration/Information Tool
Group:		System/Configuration/Hardware
Requires:	%{name} = %{EVRD}
Requires:	sane-backends
Requires:	drakx-kbd-mouse-x11
Suggests:	libdrakx-net
Suggests:	drak3d

%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.

It offers a nice GUI that show the hardware configuration splitted by
hardware classes.

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%{_sbindir}/harddrake2
%{_sbindir}/drakhardware
%{_bindir}/harddrake2
%{_bindir}/drakhardware
%config(noreplace) %{_sysconfdir}/security/console.apps/harddrake2
%config(noreplace) %{_sysconfdir}/security/console.apps/drakhardware
%config(noreplace) %{_sysconfdir}/pam.d/harddrake2
%config(noreplace) %{_sysconfdir}/pam.d/drakhardware
%{_datadir}/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%{_iconsdir}/large/harddrake.png
%{_iconsdir}/mini/harddrake.png
%{_iconsdir}/harddrake.png

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-version-%{version}
%apply_patches

# Setting CCFLAGS to %{optflags} fixes debug package generation,
# but completely breaks 32bit binary.
%build
%make -C perl-install \
	CFLAGS="%{optflags}" \
	-I/usr/include/ldetect/

%install
%make -C perl-install PREFIX=%{buildroot} install
mkdir -p %{buildroot}%{_sysconfdir}/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch %{buildroot}/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd %{buildroot} ; find $dirs1 usr/bin usr/sbin ! -type d -printf "/%%p\n")|egrep -v 'bin/.*(harddrake|drakhardware)' > %{name}.list
(cd %{buildroot} ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/dbus_object\.pm|Xdrakres|clock|display_help|drak(bug|clock|dvb|floppy|font|hosts|log|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -pi -e 's|^(/usr/sbin/fileshareset)$|%%attr(4755,root,root) $1|;' %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

#mdk menu entry
mkdir -p %{buildroot}%{_datadir}/autostart

cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/kernel <<EOF
KERNEL=3.8
EOF

mv %{buildroot}%{_sbindir}/service_harddrake_confirm %{buildroot}%{_datadir}/harddrake/confirm

chmod +x %{buildroot}{%{_datadir}/harddrake/{conf*,service_harddrake},%{_sysconfdir}/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f %{buildroot}%{_sysconfdir}/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/service.conf

install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

# consolehelper config
#

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/ %{buildroot}%{_sysconfdir}/security/console.apps/

function make_consolehelper {
	pak="$1"
	pamd_rule="$2"

	# Workaround for consolehelper not working with capital-lettered files:
	# make rule files lowercase and add symlink with correct case in console.apps.
	pak_lc=${pak,,}
	ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
	cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak_lc <<EOF
USER=root
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
	cat > %{buildroot}%{_sysconfdir}/pam.d/$pak_lc <<EOF
#%%PAM-1.0
auth		include		$pamd_rule
account		include		$pamd_rule
session		include		$pamd_rule
EOF
	if [ "$pak" != "$pak_lc" ]; then
		ln -s $pak_lc %{buildroot}%{_sysconfdir}/security/console.apps/$pak
	fi
}

# - console user, no password
for pak in drakclock clock.pl keyboarddrake drakkeyboard mousedrake drakmouse drakfont drakscanner scannerdrake drakx11 Xdrakres draksound; do
	make_consolehelper $pak "config-util-user"
done

# console user, ask for root password
for pak in drakups drakauth logdrake draklog drakxservices drakboot draksec drakguard harddrake2 drakhardware drakedm diskdrake drakdisk adduserdrake drakperm; do
	make_consolehelper $pak "config-util"
done

%find_lang libDrakX libDrakX.lang
%find_lang libDrakX-standalone libDrakX-standalone.lang
cat libDrakX.lang libDrakX-standalone.lang >> %{name}.list

# pamd hack
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/system-auth-win-default

%check
cd perl-install
%make check


%changelog

* Tue Nov 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.78-1
- (3f8937c) New version 14.78 (update Russian translations for timezones)

* Thu May 04 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 14.77-3
- (f72fffe) Update release version 14.77

* Fri Apr 07 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 14.77-2
- (08e13b2) Update release version 14.77

* Thu Mar 30 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 14.77-1
- (fde3018) Update to version 14.77

* Wed Mar 22 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 14.76-2
- (9887feb) Rebuild version 14.76

* Wed Mar 22 2017 Michl Voznesensky <m.voznesensky@rosalinux.ru> 14.76-1
- (9359cff) Update version to 14.76

* Fri Feb 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.75-1
- (0c005a6) Don't use pkgconfig(libtirpc) instead of tirpc-devel here to allow backports to rosa2014.1
- (Andrey Bondrov: 94bd8fa) Update timezones Russian translations

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.74-1
- (4dcf3c2) Update timezones Russian translations

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.73-5
- (2142036) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.73-4
- (1ab9a6e) MassBuild#1169: Increase release tag

* Fri Sep 16 2016 Denis Silakov <dsilakov@gmail.com> 14.73-3
- (882c51c) Rebuild with new perl

* Thu Sep 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.73-2
- (3534520) Bump release

* Mon Sep 05 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.73-1
- (bf4176b) Auto-create /home only if HDD is larger than 20 Gb

* Sat Jul 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.72-1
- (91458a9) New version 14.72 (update Russian translation)

* Fri Jul 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.71-1
- (183ed42) New version 14.71 (update timezones translations)

* Wed Mar 02 2016 Denis Silakov <dsilakov@gmail.com> 14.70-1
- (4b8ecee) Fix drakbug: drop obsolete packages, fix bugzilla report pattern

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.69-2
- (c9470be) Drop license files, they are moved to branding-configs package
- (Andrey Bondrov: cbc7298) Drop Obsolete triggers

* Wed Sep 23 2015 Andrey Ponomarenko <aponomarenko@rosalab.ru> 14.69-1
- (e191862) Updated to 14.69.

* Thu Aug 06 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.68-1
- (b108ef4) Fix regexps for newer systemd (v.219) (and older too)

* Mon Jul 13 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.67-1
- (66987ab) drakauth: Fixed output with non-latin user names

* Mon Jul 06 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.66-1
- (04cfdb6) Domain authentication fixes

* Thu Jul 02 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.65-1
- (4643cd7) Fixed EFI and BIOS Boot partitions auto-suggestion

* Wed Jul 01 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.64-1
- (a2e43a8) Windows Domain join fixed

* Fri Jun 26 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.63-1
- (9919125) Minor fixes
- (9919125) 1. MMC block devices were not detected in checking minimal system requirements.
- (9919125) 2. Fhash disk from which we booted was not excluded in checking minimal system requirements.
- (9919125) 3. diskdrake/installer could crash under rare circumstances when chipset RAID-0 was present.

* Thu Jun 25 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.62-1
- (1b059ac) Several fixes and improvements
- (1b059ac) 1. drakauth fixes for Windows Domain and Kerberos5.
- (1b059ac) 2. Regression fixed: All English languages were shown in installer instead of only US and GB.
- (1b059ac) 3. Added sanity check for EFI mode that /boot/efi is a real partition (not RAID or LVM).
- (1b059ac) 4. diskdrake/installer: Added support for MMC block devices.

* Fri Jun 05 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.60-1
- (3269e22) Locale fixes

* Tue Jun 02 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.59-1
- (ed47423) More installer fixes
- (ed47423) 1. Renamed "English (American)" into "English (US)".
- (ed47423) 2. Suggest /boot/efi only if partition type is correct.
- (ed47423) 3. Now hiding 'Use existing partitions', if booted in legacy mode (non-EFI), and there is nowhere to install bootloader (that is, all disks are GPT, and no BIOS Boot Partition present).

* Tue Jun 02 2015 Denis Silakov <denis.silakov@rosalab.ru> 14.58-1
- (2d72c85) 14.58 - Fix check for nut-server in drakups


